Subject: RE: [External] : Re: bug#8116: 24.0.50; `minibuffer-message': ignore mouse-up event for `sit-for'?

From: Drew Adams <[email-masked]>
Date: Sun, 18 Jul 2021 14:10:23 +0000

> > > If you pop up a menu (e.g. using `x-popup-menu') and one of its items
> > > calls `minibuffer-message', the user will never see the message,
> > > presumably because the call to `sit-for' in `minibuffer-message' sees
> > > the mouse-up event (from choosing the menu item) as user input,
> > > canceling the `sit-for' timeout.
> >
> > Do you have a test case that demonstrates the problem?
> 
> You won't be able to see this on any system but MS-Windows.  On
> Windows, the Emacs menus are implemented in a way that has this
> unfortunate side effect: we basically preempt the Emacs command loop
> for as long as the menu stays open.
> 
> If someone wants to redesign how Emacs menus are implemented on
> Windows, I think that would be very welcome.  But until that happens,
> this is Emacs "functioning as designed", not some easily-fixed bug.

Thanks for this info.  I guess the bug can then either
be closed or kept open in the wishlist, the fix needing
redesign etc.

I wonder if this effect should be mentioned in the manual?